
<% try{
  let _category = typeof category == 'object' ? category : {}
  let features = _category.stories || []

  let mainTitle = features[0].title
  let live = true

  function produceUsableImageFromStory (story) {
    let src = ''
    if (story.images && story.images.length) {
      const image = story.images[0]
      src = `${image.bucketLocation}/${image.s3id}?width=1280&height=720`
    } else if (story.videos && story.videos.length) {
      src = story.videos[0].poster
    }
    return src
  }
  const backgroundImage = produceUsableImageFromStory(features[0])

  %>
<div style="margin-bottom:32px;margin-top:25px;">
  <div class='row hidden-xs background-image-row' style="background-image:url('<%= backgroundImage %>')" >
    <div class='col-sm-7 col-md-8 col-xs-12'>
      <a href="<%= features[0].link %>" class="title"><h1 class='main-title'><%= mainTitle %></h1></a>
    </div>
    <div class=' col-sm-5 col-md-4 right-column hidden-xs '>
      <div class='dark-opacity '>
        <div class='right-column-contents'>
          <div class='row'>
            <div class='col-xs-12'>
              <a href="/videolivestream" class='watch-live' style="display:<%= live ? 'block' : 'none' %>" >
                <span class='watch-live-text'>Watch Live</span>
                <span class='glyphicon glyphicon-play-circle'></span>
              </a>
            </div>
          </div>
          <% features.slice(1, 2).forEach(function(s){ %>
            <div class='row secondary-story' >
              <div class='col-xs-12'>
                <a href="<%= s.link %>" >
                  <img class='img-responsive'  src="<%= produceUsableImageFromStory(s) %>" />
                </a>
              </div>
              <div class='col-xs-12 secondary-title-container'>
                <a href="<%= s.link %>" class='secondary-title'>
                  <span ><%= s.title %></span>
                </a>
              </div>
              <div class='col-sm-12 hidden-sm secondary-subtitle'>
                <span><%= s.summary %></span>
              </div>
            </div>
          <% }) %>
          <% features.slice(2,5).forEach(function(s){ %>
            <div >
              <div class='divider visible-sm-block'></div>
              <div class='row related-story '>
                <div class='col-xs-5 hidden-sm related-stories-photo-col'>
                  <a href="<%= s.link %>">
                    <img class='img-responsive' src="<%= produceUsableImageFromStory(s) %>" />
                  </a>
                </div>
                <div class='col-sm-12 col-md-7 related-stories-text-col'>
                  <div class='row'>
                    <div class='col-xs-12'>
                      <a href="<%= s.link %>" class='related-stories-title'><%= s.title %></a>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          <% }) %>
        </div>
        <div class='view-more'>
          <div class='row'>
            <div class='col-xs-12'>
              <a href="" class='overflow-page-link'>
                <span >More Stories</span>
                <span class='glyphicon glyphicon-chevron-right'></span>
              </a>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class='row visible-xs-block dark-opacity xs-bottom-bar related-stories small'>
    <img class="img-responsive" src="<%= backgroundImage %>" />
    <div class='col-xs-12'>
      <a href="/videolivestream" class='watch-live' style="display:<%= live ? 'block' : 'none' %>" >
        <span class='watch-live-text'>Watch Live</span>
        <span class='glyphicon glyphicon-play-circle'></span>
      </a>
    </div>
    <% features.slice(1,4).forEach(function(s){ %>
      <div  class='col-xs-12 bottom-border'>
        <a href="<%= s.link %>"><%= s.title %> </a>
      </div>
    <% }) %>
    <div class='view-more small'>
      <a href="" class='bottom-border overflow-page-link' >
        <span >View More</span>
        <span class='glyphicon glyphicon-chevron-right'></span>
      </a>
    </div>

  </div>
</div>
<% } catch(e){ %>
  <div style="display:none;"><%=e.message %></div>
<% } %>
